Loading...
Searching...
No Matches
oval_value Struct Reference
OVAL » OVALDEF

OVAL object or item entity value. More...

`#include <oval_definitions.h>`

## Public Member Functions

OSCAP_API struct oval_value * | oval_value_new (oval_datatype_t datatype, char *text_value)
OSCAP_API struct oval_value * | oval_value_clone (struct oval_value *old_value)
OSCAP_API void | oval_value_free (struct oval_value *)
Setters
OSCAP_API void | oval_value_set_datatype (struct oval_value *, oval_datatype_t)
Getters
OSCAP_API oval_datatype_t | oval_value_get_datatype (struct oval_value *)
| Get OVAL value datatype.
OSCAP_API char * | oval_value_get_text (struct oval_value *)
| Get OVAL value as a text.
OSCAP_API unsigned char * | oval_value_get_binary (struct oval_value *)
| Get OVAL value as a piece of raw binary data.
OSCAP_API bool | oval_value_get_boolean (struct oval_value *)
| Get OVAL value as a boolean.
OSCAP_API float | oval_value_get_float (struct oval_value *)
| Get OVAL value as a floating point number.
OSCAP_API long long | oval_value_get_integer (struct oval_value *)
| Get OVAL value as an integer.

## Data Fields

oval_datatype_t | datatype
char * | text

## Detailed Description

OVAL object or item entity value.

The documentation for this struct was generated from the following files:

- oval_value.c
- oval_definitions.h